<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'externaldatum',

    /*
     * Modules.
     */
    'modules'   => ['gebeco', 'tigges', 'xplore', 'external_shipdata'],

    'gebeco'       => [
        'model' => [
            'model'                 => \Btravel\Externaldatum\Models\Gebeco::class,
            'table'                 => 'gebecos',
            'presenter'             => \Btravel\Externaldatum\Repositories\Presenter\GebecoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'nr',  'request_code',  'length',  'style',  'style_name',  'page_url',  'trip_kind_description',  'dates_title',  'date_remark',  'description',  'teaser_text',  'base_price',  'baseprice_flight',  'extra_styles',  'highlights',  'countries',  'trip_days',  'dates',  'transportation',  'participants',  'features',  'images',  'json',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externaldatum/gebeco',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externaldatum',
            'module'    => 'Gebeco',
        ],

    ],
    'tigges'       => [
        'model' => [
            'model'                 => \Btravel\Externaldatum\Models\Tigges::class,
            'table'                 => 'tigges',
            'presenter'             => \Btravel\Externaldatum\Repositories\Presenter\TiggesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'nr',  'request_code',  'length',  'style',  'style_name',  'page_url',  'trip_kind_description',  'dates_title',  'date_remark',  'description',  'teaser_text',  'base_price',  'baseprice_flight',  'extra_styles',  'highlights',  'countries',  'trip_days',  'dates',  'transportation',  'participants',  'features',  'images',  'json',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externaldatum/tigges',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externaldatum',
            'module'    => 'Tigges',
        ],

    ],
    'xplore'       => [
        'model' => [
            'model'                 => \Btravel\Externaldatum\Models\Xplore::class,
            'table'                 => 'xplores',
            'presenter'             => \Btravel\Externaldatum\Repositories\Presenter\XplorePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'nr',  'request_code',  'length',  'style',  'style_name',  'page_url',  'trip_kind_description',  'dates_title',  'date_remark',  'description',  'teaser_text',  'base_price',  'baseprice_flight',  'extra_styles',  'highlights',  'countries',  'trip_days',  'dates',  'transportation',  'participants',  'features',  'images',  'json',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externaldatum/xplore',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externaldatum',
            'module'    => 'Xplore',
        ],

    ],
    'external_shipdata'       => [
        'model' => [
            'model'                 => \Btravel\Externaldatum\Models\ExternalShipdata::class,
            'table'                 => 'external_shipdatas',
            'presenter'             => \Btravel\Externaldatum\Repositories\Presenter\ExternalShipdataPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'vessel_id',  'company',  'title',  'date',  'images',  'price',  'length',  'destinations',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externaldatum/external_shipdata',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externaldatum',
            'module'    => 'ExternalShipdata',
        ],

    ],
];
