<?php

namespace Btravel\Externaldatum;

use User;

class Externaldatum
{
    /**
     * $gebeco object.
     */
    protected $gebeco;    /**
     * $tigges object.
     */
    protected $tigges;    /**
     * $xplore object.
     */
    protected $xplore;    /**
     * $external_shipdata object.
     */
    protected $external_shipdata;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Externaldatum\Interfaces\GebecoRepositoryInterface $gebeco,        \Btravel\Externaldatum\Interfaces\TiggesRepositoryInterface $tigges,        \Btravel\Externaldatum\Interfaces\XploreRepositoryInterface $xplore,        \Btravel\Externaldatum\Interfaces\ExternalShipdataRepositoryInterface $external_shipdata)
    {
        $this->gebeco = $gebeco;        $this->tigges = $tigges;        $this->xplore = $xplore;        $this->external_shipdata = $external_shipdata;
    }

    /**
     * Returns count of externaldatum.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.gebeco.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->gebeco->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\GebecoUserCriteria());
        }

        $gebeco = $this->gebeco->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externaldatum::' . $view, compact('gebeco'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tigges.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tigges->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\TiggesUserCriteria());
        }

        $tigges = $this->tigges->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externaldatum::' . $view, compact('tigges'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.xplore.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->xplore->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\XploreUserCriteria());
        }

        $xplore = $this->xplore->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externaldatum::' . $view, compact('xplore'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.external_shipdata.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->external_shipdata->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\ExternalShipdataUserCriteria());
        }

        $external_shipdata = $this->external_shipdata->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externaldatum::' . $view, compact('external_shipdata'))->render();
    }
}
