<?php

namespace Btravel\Externaldatum\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Externaldatum\Interfaces\TiggesRepositoryInterface;

class TiggesPublicController extends BaseController
{
    // use TiggesWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Tigges\Interfaces\TiggesRepositoryInterface $tigges
     *
     * @return type
     */
    public function __construct(TiggesRepositoryInterface $tigges)
    {
        $this->repository = $tigges;
        parent::__construct();
    }

    /**
     * Show tigges's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tigges = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$externaldatum::tigges.names'))
            ->view('externaldatum::tigges.index')
            ->data(compact('tigges'))
            ->output();
    }


    /**
     * Show tigges.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $tigges = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$tigges->name . trans('externaldatum::tigges.name'))
            ->view('externaldatum::tigges.show')
            ->data(compact('tigges'))
            ->output();
    }

}
