<?php

namespace Btravel\Externaldatum\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Gebeco policy
        'Btravel\Externaldatum\Models\Gebeco' => \Btravel\Externaldatum\Policies\GebecoPolicy::class,// Bind Tigges policy
        'Btravel\Externaldatum\Models\Tigges' => \Btravel\Externaldatum\Policies\TiggesPolicy::class,// Bind Xplore policy
        'Btravel\Externaldatum\Models\Xplore' => \Btravel\Externaldatum\Policies\XplorePolicy::class,// Bind ExternalShipdata policy
        'Btravel\Externaldatum\Models\ExternalShipdata' => \Btravel\Externaldatum\Policies\ExternalShipdataPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
