<?php

namespace Btravel\Externaldatum\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GebecoTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Externaldatum\Models\Gebeco $gebeco)
    {
        return [
            'id'                => $gebeco->getRouteKey(),
            'key'               => [
                'public'    => $gebeco->getPublicKey(),
                'route'     => $gebeco->getRouteKey(),
            ], 
            'id'                => $gebeco->id,
            'title'             => $gebeco->title,
            'nr'                => $gebeco->nr,
            'request_code'      => $gebeco->request_code,
            'length'            => $gebeco->length,
            'style'             => $gebeco->style,
            'style_name'        => $gebeco->style_name,
            'page_url'          => $gebeco->page_url,
            'trip_kind_description' => $gebeco->trip_kind_description,
            'dates_title'       => $gebeco->dates_title,
            'date_remark'       => $gebeco->date_remark,
            'description'       => $gebeco->description,
            'teaser_text'       => $gebeco->teaser_text,
            'base_price'        => $gebeco->base_price,
            'baseprice_flight'  => $gebeco->baseprice_flight,
            'extra_styles'      => $gebeco->extra_styles,
            'highlights'        => $gebeco->highlights,
            'countries'         => $gebeco->countries,
            'trip_days'         => $gebeco->trip_days,
            'dates'             => $gebeco->dates,
            'transportation'    => $gebeco->transportation,
            'participants'      => $gebeco->participants,
            'features'          => $gebeco->features,
            'images'            => $gebeco->images,
            'json'              => $gebeco->json,
            'slug'              => $gebeco->slug,
            'user_id'           => $gebeco->user_id,
            'user_type'         => $gebeco->user_type,
            'created_at'        => $gebeco->created_at,
            'updated_at'        => $gebeco->updated_at,
            'deleted_at'        => $gebeco->deleted_at,
            'url'               => [
                'public'    => trans_url('externaldatum/'.$gebeco->getPublicKey()),
                'user'      => guard_url('externaldatum/gebeco/'.$gebeco->getRouteKey()),
            ], 
            'status'            => trans('app.'.$gebeco->status),
            'created_at'        => format_date($gebeco->created_at),
            'updated_at'        => format_date($gebeco->updated_at),
        ];
    }
}