<?php

namespace Btravel\Externaldatum\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TiggesTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Externaldatum\Models\Tigges $tigges)
    {
        return [
            'id'                => $tigges->getRouteKey(),
            'key'               => [
                'public'    => $tigges->getPublicKey(),
                'route'     => $tigges->getRouteKey(),
            ], 
            'id'                => $tigges->id,
            'title'             => $tigges->title,
            'nr'                => $tigges->nr,
            'request_code'      => $tigges->request_code,
            'length'            => $tigges->length,
            'style'             => $tigges->style,
            'style_name'        => $tigges->style_name,
            'page_url'          => $tigges->page_url,
            'trip_kind_description' => $tigges->trip_kind_description,
            'dates_title'       => $tigges->dates_title,
            'date_remark'       => $tigges->date_remark,
            'description'       => $tigges->description,
            'teaser_text'       => $tigges->teaser_text,
            'base_price'        => $tigges->base_price,
            'baseprice_flight'  => $tigges->baseprice_flight,
            'extra_styles'      => $tigges->extra_styles,
            'highlights'        => $tigges->highlights,
            'countries'         => $tigges->countries,
            'trip_days'         => $tigges->trip_days,
            'dates'             => $tigges->dates,
            'transportation'    => $tigges->transportation,
            'participants'      => $tigges->participants,
            'features'          => $tigges->features,
            'images'            => $tigges->images,
            'json'              => $tigges->json,
            'slug'              => $tigges->slug,
            'user_id'           => $tigges->user_id,
            'user_type'         => $tigges->user_type,
            'created_at'        => $tigges->created_at,
            'updated_at'        => $tigges->updated_at,
            'deleted_at'        => $tigges->deleted_at,
            'url'               => [
                'public'    => trans_url('externaldatum/'.$tigges->getPublicKey()),
                'user'      => guard_url('externaldatum/tigges/'.$tigges->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tigges->status),
            'created_at'        => format_date($tigges->created_at),
            'updated_at'        => format_date($tigges->updated_at),
        ];
    }
}