<?php

namespace Btravel\Externaldatum\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class XploreTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Externaldatum\Models\Xplore $xplore)
    {
        return [
            'id'                => $xplore->getRouteKey(),
            'key'               => [
                'public'    => $xplore->getPublicKey(),
                'route'     => $xplore->getRouteKey(),
            ], 
            'id'                => $xplore->id,
            'title'             => $xplore->title,
            'nr'                => $xplore->nr,
            'request_code'      => $xplore->request_code,
            'length'            => $xplore->length,
            'style'             => $xplore->style,
            'style_name'        => $xplore->style_name,
            'page_url'          => $xplore->page_url,
            'trip_kind_description' => $xplore->trip_kind_description,
            'dates_title'       => $xplore->dates_title,
            'date_remark'       => $xplore->date_remark,
            'description'       => $xplore->description,
            'teaser_text'       => $xplore->teaser_text,
            'base_price'        => $xplore->base_price,
            'baseprice_flight'  => $xplore->baseprice_flight,
            'extra_styles'      => $xplore->extra_styles,
            'highlights'        => $xplore->highlights,
            'countries'         => $xplore->countries,
            'trip_days'         => $xplore->trip_days,
            'dates'             => $xplore->dates,
            'transportation'    => $xplore->transportation,
            'participants'      => $xplore->participants,
            'features'          => $xplore->features,
            'images'            => $xplore->images,
            'json'              => $xplore->json,
            'slug'              => $xplore->slug,
            'user_id'           => $xplore->user_id,
            'user_type'         => $xplore->user_type,
            'created_at'        => $xplore->created_at,
            'updated_at'        => $xplore->updated_at,
            'deleted_at'        => $xplore->deleted_at,
            'url'               => [
                'public'    => trans_url('externaldatum/'.$xplore->getPublicKey()),
                'user'      => guard_url('externaldatum/xplore/'.$xplore->getRouteKey()),
            ], 
            'status'            => trans('app.'.$xplore->status),
            'created_at'        => format_date($xplore->created_at),
            'updated_at'        => format_date($xplore->updated_at),
        ];
    }
}